/*
 *  Copyright (C) 2006  UCOT
 *
 *  Distributed under the terms of the MIT License.
 *  See "LICENCE" or http://www.opensource.org/licenses/mit-license.php for details.
 */
package ucot.exceptions;

/**
 * <p>
 * Thrown when <code>UseCaseCollection</code> fails to get
 * <code>UseCase</code>s from given source.
 * </p>
 * 
 * @author tujupien
 * 
 */
public class CannotLoadUseCasesException extends
        UseCaseException {

    private static final long serialVersionUID = 8870077222554560312L;

    public CannotLoadUseCasesException() {
        super();
    }

    public CannotLoadUseCasesException(String message) {
        super(message);
    }

}
