/*
 *  Copyright (C) 2006  UCOT
 *
 *  Distributed under the terms of the MIT License.
 *  See "LICENCE" or http://www.opensource.org/licenses/mit-license.php for details.
 */
package ucot.parser;

import ucot.ModuleProperties;
import ucot.input.UseCase;

/**
 * DummyParser which does absolutely nothing but helps
 * avoiding null values in parser variables.
 * 
 * @author UCOT
 */
public class DummyParser extends ModuleProperties implements
        ParserInterface {

    /*
     * (non-Javadoc)
     * 
     * @see ucot.parser.ParserInterface#parse(ucot.input.UseCase)
     */
    public ParsedData parse(UseCase useCase)
            throws Exception {
        return null;
    }

    /*
     * (non-Javadoc)
     * 
     * @see ucot.parser.ParserInterface#getName()
     */
    public String getName() {
        return "Dummy Parser";
    }

}
